Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.VariableOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.Variable, JBPMMessages.Variable.Builder

Enclosing class:
  JBPMMessages

    public static interface JBPMMessages.VariableOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`String` | `getName()` `optional string name = 1;`
`com.google.protobuf.ByteString` | `getNameBytes()` `optional string name = 1;`
`int` | `getStrategyIndex()` `optional int32 strategy_index = 2;` the actual object reference
`com.google.protobuf.ByteString` | `getValue()` `optional bytes value = 3;`
`boolean` | `hasName()` `optional string name = 1;`
`boolean` | `hasStrategyIndex()` `optional int32 strategy_index = 2;` the actual object reference
`boolean` | `hasValue()` `optional bytes value = 3;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasName

    boolean hasName()

  `optional string name = 1;`

### getName

    String getName()

  `optional string name = 1;`

### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

  `optional string name = 1;`

### hasStrategyIndex

    boolean hasStrategyIndex()

  `optional int32 strategy_index = 2;`

       the actual object reference

### getStrategyIndex

    int getStrategyIndex()

  `optional int32 strategy_index = 2;`

       the actual object reference

### hasValue

    boolean hasValue()

  `optional bytes value = 3;`

### getValue

    com.google.protobuf.ByteString getValue()

  `optional bytes value = 3;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.